## linux-restricted-modules-oem-5.4 5.4.0-1001.2

=== debian/changelog ===
linux-restricted-modules-oem-5.4 (5.4.0-1001.2) focal; urgency=medium

  * Master version: 5.4.0-1001.2

 -- Timo Aaltonen <timo.aaltonen@canonical.com>  Thu, 19 Dec 2019 13:54:44 +0200

linux-restricted-modules-oem-5.4 (5.4.0-1000.1) focal; urgency=medium

  * Master version: 5.4.0-1000.1

 -- Timo Aaltonen <timo.aaltonen@canonical.com>  Thu, 19 Dec 2019 01:01:34 +0200
