## linux-restricted-modules-oem-5.4 5.4.0-1002.4

=== debian/changelog ===
linux-restricted-modules-oem-5.4 (5.4.0-1002.4) focal; urgency=medium

  * Master version: 5.4.0-1002.4

 -- Timo Aaltonen <timo.aaltonen@canonical.com>  Wed, 15 Jan 2020 12:35:28 +0200

linux-restricted-modules-oem-5.4 (5.4.0-1002.3) focal; urgency=medium

  * Master version: 5.4.0-1002.3

  * Miscellaneous Ubuntu changes
    - debian/dkms-versions -- update from master

  * Miscellaneous upstream changes
    - update-version: Fix tagging a variant.

 -- Timo Aaltonen <timo.aaltonen@canonical.com>  Mon, 13 Jan 2020 14:06:27 +0200
