=== debian/control ===
Source: linux-restricted-modules-oem-5.4
Section: utils
Priority: optional
Maintainer: Canonical Kernel Team <kernel-team@lists.ubuntu.com>
Build-Depends:
 debhelper (>= 9),
 lsb-release,
 python3,
 python3-apt,
 cpio,
 dkms,
 wget,
 gawk,
 linux-headers-5.4.0-1002-oem (>= 5.4.0-1002.4),
 linux-buildinfo-5.4.0-1002-oem (>= 5.4.0-1002.4),
Standards-Version: 3.9.4
Vcs-Git: git://git.launchpad.net/~canonical-kernel/ubuntu/+source/linux-restricted-modules-oem/+git/focal -b oem-5.4

Package: linux-modules-nvidia-390-oem-20.04
Build-Profiles: <!stage1>
Architecture: amd64
Section: kernel
Depends: ${misc:Depends}, linux-modules-nvidia-390-5.4.0-1002-oem (= ${binary:Version})
Description: Extra drivers for nvidia-390 for the oem flavour
 Install extra signed nvidia-390 modules compatible with the oem flavour.

Package: linux-modules-nvidia-440-oem-20.04
Build-Profiles: <!stage1>
Architecture: amd64
Section: kernel
Depends: ${misc:Depends}, linux-modules-nvidia-440-5.4.0-1002-oem (= ${binary:Version})
Description: Extra drivers for nvidia-440 for the oem flavour
 Install extra signed nvidia-440 modules compatible with the oem flavour.

Package: linux-modules-nvidia-390-5.4.0-1002-oem
Build-Profiles: <!stage1>
Architecture: amd64
Section: kernel
Priority: optional
Built-Using: ${linux:BuiltUsing}
Depends: ${misc:Depends}, ${shlibs:Depends}, binutils, linux-image-5.4.0-1002-oem | linux-image-unsigned-5.4.0-1002-oem, nvidia-kernel-common-390
Description: Linux kernel nvidia modules for version 5.4.0-1002
 This package contains the Linux kernel nvidia modules for version 5.4.0-1002.
 .
 You likely do not want to install this package directly. Instead, install the
 linux-image-nvidia-FLAVOUR meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-modules-nvidia-440-5.4.0-1002-oem
Build-Profiles: <!stage1>
Architecture: amd64
Section: kernel
Priority: optional
Built-Using: ${linux:BuiltUsing}
Depends: ${misc:Depends}, ${shlibs:Depends}, binutils, linux-image-5.4.0-1002-oem | linux-image-unsigned-5.4.0-1002-oem, nvidia-kernel-common-440
Description: Linux kernel nvidia modules for version 5.4.0-1002
 This package contains the Linux kernel nvidia modules for version 5.4.0-1002.
 .
 You likely do not want to install this package directly. Instead, install the
 linux-image-nvidia-FLAVOUR meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.
